EnTT: entt::meta_sequence_container Class Reference

EnTT 3.15.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
entt::meta_sequence_container Class Reference

Proxy object for sequence containers. More...

`#include <meta.hpp>`

## Public Types
using | size_type = std::size_t
| Unsigned integer type.
using | iterator = meta_iterator
| Meta iterator type.

## Public Member Functions
| meta_sequence_container ()=default
| Default constructor.
template<typename Type>
| meta_sequence_container (const meta_ctx &area, Type &instance) noexcept
| Context aware constructor.
meta_type | value_type () const noexcept
| Returns the meta value type of a container.
size_type | size () const noexcept
| Returns the size of a container.
bool | resize (size_type)
| Resizes a container to contain a given number of elements.
bool | clear ()
| Clears the content of a container.
bool | reserve (size_type)
| Reserves storage for at least the given number of elements.
iterator | begin ()
| Returns an iterator to the first element of a container.
iterator | end ()
| Returns an iterator that is past the last element of a container.
iterator | insert (const iterator &, meta_any)
| Inserts an element at a specified location of a container.
iterator | erase (const iterator &)
| Removes a given element from a container.
meta_any | operator[] (size_type)
| Returns a reference to the element at a given location of a container.
| operator bool () const noexcept
| Returns false if a proxy is invalid, true otherwise.

## Detailed Description

Proxy object for sequence containers.

Definition at line 31 of file meta.hpp.

## Member Typedef Documentation

## ◆ iterator

using entt::meta_sequence_container::iterator = meta_iterator

Meta iterator type.

Definition at line 38 of file meta.hpp.

## ◆ size_type

using entt::meta_sequence_container::size_type = std::size_t

Unsigned integer type.

Definition at line 36 of file meta.hpp.

## Constructor & Destructor Documentation

## ◆ meta_sequence_container()

template<typename Type>

entt::meta_sequence_container::meta_sequence_container | ( | const meta_ctx & | area,
|  | Type & | instance )
| inlinenoexcept

Context aware constructor.

Template Parameters

  Type | Type of container to wrap.

Parameters

  area | The context from which to search for meta types.
  instance | The container to wrap.

Definition at line 50 of file meta.hpp.

## Member Function Documentation

## ◆ begin()

meta_sequence_container::iterator entt::meta_sequence_container::begin | ( |  | ) |
| inlinenodiscard

Returns an iterator to the first element of a container.

Returns
  An iterator to the first element of the container.

Definition at line 1814 of file meta.hpp.

## ◆ clear()

bool entt::meta_sequence_container::clear | ( |  | ) |
| inline

Clears the content of a container.

Returns
  True in case of success, false otherwise.

Definition at line 1797 of file meta.hpp.

## ◆ end()

meta_sequence_container::iterator entt::meta_sequence_container::end | ( |  | ) |
| inlinenodiscard

Returns an iterator that is past the last element of a container.

Returns
  An iterator that is past the last element of the container.

Definition at line 1822 of file meta.hpp.

## ◆ erase()

meta_sequence_container::iterator entt::meta_sequence_container::erase | ( | const iterator & | it | ) |
| inline

Removes a given element from a container.

Parameters

  it | Iterator to the element to remove.

Returns
  A possibly invalid iterator following the last removed element.

Definition at line 1847 of file meta.hpp.

## ◆ insert()

meta_sequence_container::iterator entt::meta_sequence_container::insert | ( | const iterator & | it,
|  | meta_any | value )
| inline

Inserts an element at a specified location of a container.

Parameters

  it | Iterator before which the element will be inserted.
  value | Element value to insert.

Returns
  A possibly invalid iterator to the inserted element.

Definition at line 1832 of file meta.hpp.

## ◆ operator bool()

entt::meta_sequence_container::operator bool | ( |  | ) | const
| inlineexplicitnodiscardnoexcept

Returns false if a proxy is invalid, true otherwise.

Returns
  False if the proxy is invalid, true otherwise.

Definition at line 1866 of file meta.hpp.

## ◆ operator[]()

meta_any entt::meta_sequence_container::operator[] | ( | size_type | pos | ) |
| inlinenodiscard

Returns a reference to the element at a given location of a container.

Parameters

  pos | The position of the element to return.

Returns
  A reference to the requested element properly wrapped.

Definition at line 1856 of file meta.hpp.

## ◆ reserve()

bool entt::meta_sequence_container::reserve | ( | size_type | sz | ) |
| inline

Reserves storage for at least the given number of elements.

Parameters

  sz | The new capacity of the container.

Returns
  True in case of success, false otherwise.

Definition at line 1806 of file meta.hpp.

## ◆ resize()

bool entt::meta_sequence_container::resize | ( | size_type | sz | ) |
| inline

Resizes a container to contain a given number of elements.

Parameters

  sz | The new size of the container.

Returns
  True in case of success, false otherwise.

Definition at line 1789 of file meta.hpp.

## ◆ size()

meta_sequence_container::size_type entt::meta_sequence_container::size | ( |  | ) | const
| inlinenodiscardnoexcept

Returns the size of a container.

Returns
  The size of the container.

Definition at line 1780 of file meta.hpp.

## ◆ value_type()

meta_type entt::meta_sequence_container::value_type | ( |  | ) | const
| inlinenodiscardnoexcept

Returns the meta value type of a container.

Returns
  The meta value type of the container.

Definition at line 1772 of file meta.hpp.

The documentation for this class was generated from the following file:

- src/entt/meta/meta.hpp